Introduction

Welcome to Relatia® Time and Billing! Relatia Time and Billing is designed to be a productivity tool for organizations using GoldMine® to track time, deliverables, and expense information related to contact records in FrontRange's award winning contact management system. With Relatia Time and Billing, you will be able to enter labor, deliverables (sales), and expense details that are linked to contact records or grouped by projects in GoldMine's database.

Once entered, Relatia Time and Billing's report tool will generate detailed Charge Summary reports that can be printed in a batch process to be included with your invoices or statements. Once committed to the database, details are displayed in GoldMine's History tab to provide easy and accurate access to important, historical information for each contact record. Also, the Charge Summaries are attached as Linked Documents to the contact record, reducing the need for the filing of paper copies.

For organizations needing to track more complex projects, Relatia Time and Billing provides the ability to link labor and expense details to GoldMine Projects as a way to group charges created by any number of individuals.

Relatia Time and Billing also provides statistics (using Microsoft Excel) which measure various business and resource performance metrics to help you fine-tune your business for profitability.

Key Concepts

Charge details

In Relatia Time and Billing (RTB), charge details are entered through the GoldMine user interface by accessing the RTB submenu located in GoldMine's TaskBar (found at the right-end of the toolbar - there are two entries below the RTB button: Add Labor/Expenses and RTB Mgmt Console). Charge details refer to either labor, expense, or deliverable records. When a user selects the 'Add Labor/Expenses' option from the RTB sub menu, they have the option to record any of the following:

Labor - Labor entries are used to record the amount of time spent, and to document the actions taken on behalf of a client. Labor entries include a code to indicate the rate to be applied to the time recorded.

Deliverables - This option is used to record the sale of products to the customer. You may choose from a list of common products for sale from your company or provide the details free-form, as needed.

Expenses - This option is used to record expenses incurred by your personnel that are to be reimbursed to them by your company. For example, if a field service technician needs to be reimbursed for mileage to and from a customer site, they would use the expenses option to record this. If this expense is also chargeable to the client, there is a check box on the form that will create a Deliverable entry from the information provided here, eliminating the need to duplicate it manually. You may also specify a markup for this charge to the client, as well.

RTB Mgmt Console

The RTB Mgmt Console is the heart of the Relatia Time and Billing tracking system. In addition to providing a clear, concise summary of open and ready to bill charges, the RTB Mgmt Console also allows administrators access to RTB's system settings, license manager, resource cost and custom charge code editors, wizards for creating and editing Projects and Cases, the Business Metrics console and all reports. From the RTB Mgmt Console, charged entries can be approved and earmarked for billing, Charge Summary pages can be printed for inclusion in your company's invoices and additional reports can be run to analyze status and profitablility. The RTB Mgmt Console is also used to edit any of the charge records after they have been created, allowing records to be modified or deleted as necessary.

The RTB Mgmt Console can be accessed via the 'RTB Mgmt Console' selection in the RTB submenu.

Installing Relatia Time and Billing

Prerequisites:

  1. GoldMine 7 (or greater)
  2. Microsoft® Internet Explorer 6 (or greater)
  3. Microsoft Excel 97 (or greater) to produce reports

GoldMine must be properly installed and functional on all workstations and verified for satisfactory operation. Most importantly, GoldMine's synchronization must be working properly between all workstations. RTB uses GoldMine's database to store it's records and relies on synchronization to maintain them (if you do not have any synchronizing clients, then this requirement does not apply).

While GoldMine can run on both Firebird and SQL databases (note: GoldMine 9.x no longer supports Firebird), RTB has been developed to run ONLY on SQL databases - Firebird is not supported for RTB.

The second requirement for Relatia Time and Billing is the installation of Microsoft Internet Explorer 6 (or greater). IE installs several components that are required by RTB. (You do not have to use IE as your preferred browser.)

The requirement for Microsoft Excel is necessary to run and display any of the included reports.

After you have verified proper operation of your GoldMine environment, you may proceed with the first-time installation of RTB. This step is rather like an administrative installation in which you install the software, enter the master license code(s) and establish some defaults for all users. You then synchronize those changes to all workstations and proceed to install the remaining users. Because you have synced the master license(s) and options to the remote users, they will not need to enter license codes, setup system options or define resource costs and custom charge codes.

First-time installation can take place on any workstation (networked or remote) provided it can sync it's database (in the case of a remote) and the user has Master rights to GoldMine. Do not use the GoldMine Master account for this purpose.

Relatia Time and Billing is delivered as a self-extracting executable which will unpack it's setup files into a temporary directory which you choose. You will also need the License Code and Key that was emailed to you when you purchased RTB. If you are evaluating the product, you may leave the License Code and Key fields blank to create a 16-day 1-user demo license.

First-time installation:
  1. Note: You must have local Administrator privileges to install the software. You should be logged on to the workstation as the user who will be running RTB, not as the user Administrator. Elevated privileges will be necessary while running setup and when launching RTB for the first time.

    Run the RTB self-extracting executable (it's called RTBInstall.exe). Choose a temporary location where you'd like to save the setup files. These should be saved on your local hard drive, not a network resource. Choose 'Finish'. When the files are successfully extracted, it will launch the setup program. If certain operating system files are not installed or up-to-date, the setup program will install or update them and ask you to reboot. After rebooting you will need to launch the setup program again from the temporary directory you chose above (or run RTBInstall again).

    2. In setup you will be asked to read and accept the license agreement. You must agree for the software to be installed. Next you will be asked where you'd like to install Relatia Time and Billing. Choose a directory on your local hard drive. Finally, the setup program will copy all files to the appropriate destination. You may be asked to reboot if certain support files were updated.

  2. Login to GoldMine as a user with Master rights (not the user: MASTER).

  3. From the Windows Start menu, click on Programs - Relatia TB - Relatia TB Install

  4. You will be notified that no registry settings were found and that Relatia Time and Billing will create them. You will also be asked to ensure that GoldMine is displaying the contact record of your company. If your database does not have a contact record for your company, please create one at this time. This information is needed to display your company's name on reports and charge summaries. The next dialog box will offer to modify the current GoldMine database. These modifications will allow the full capabilities of RTB to become available. The modifications require that the database be rebuilt following this step and could take a substantial amount of time to complete depending on the size of your database and the equipment available. This step (pack and rebuild) must be performed manually after installation completes. To shorten the (sometimes considerable) time needed for a full rebuild of the entire database, you can choose to pack and rebuild just the tables: FIELDS5, CONTUDEF and CONTACT2.

  5. Close GoldMine. Launch GoldMine again, logging in as the same user as above. You will now find RTB's menu at the right-end of the GoldMine toolbar as RTB (see TaskBar). Beneath it are two entries: 'Add Labor/Expenses' and 'RTB Mgmt Console'. Choose 'RTB Mgmt Console' to complete setup. RTB will detect that you have not entered your license code(s) and key(s) and will ask you for them. Please enter these exactly. (If you are evaluating the product, you may leave both fields blank to create a 16-day, 1-user demo license.) Next you will be asked to login. The dialog box will show the user currently logged into GoldMine. Be sure to enter that user's GoldMine password. (You won't be asked for this again.) RTB should open up on the Mgmt Console. This user may now use RTB from this workstation.

    Additional configuration task checklist: (these can be performed later - See Post Installation Checklist)

    1. Add users to RTB's GoldMine groups to grant privileges. Members of the Relatia_Accounting group can run the full billing cycle (Ready to Bill, Post to DB, Print Charge Summaries, Export to Accounting). Members of the Relatia_Managers group may run reports, change system options and approve charges.

    2. Define Resource Cost entries for each of the users defined above.

    3. Configure the System Settings to allow Relatia Time and Billing to properly calculate labor duration and rates. If you're using GoldMine 8.5 or greater, you can reference Cases (in the Service Center) for Labor, Deliverables and Expenses. Configure the Case Number Format tab options to match those set in GoldMine to allow automatic Case numbering. Set the entries under the Case Labor Options tab as desired.

    4. Enter your Global Billing Rate in the UBLGRT field.

  6. If you have synchronizing users, synchronize GoldMine with all the other workstations on which you plan to run RTB BEFORE you install them. The master license codes you entered above (and any options) will be available to these workstations and you will not need to enter them again.

All subsequent workstations:

Since you have entered the license codes and options, some of the previously encountered dialogs will not appear. Those values will now be pulled from the database. Otherwise the installation process is similar to the steps followed above.

Once again, ensure that the minimum software requirements have been met (see above).

  1. Note: You must have local Administrator privileges to install the software. You should be logged on as the user who will be running RTB, not as the user Administrator. Elevated privileges will be necessary while running setup and when launching RTB for the first time.

    Run the Relatia Time and Billing self-extracting executable (it's called RTBInstall.exe). Choose a temporary location where you'd like to save the setup files. These should be saved on your local hard drive, not a network resource. Choose 'Finish'. When the files are successfully extracted, it will launch the setup program. If certain operating system files are not installed or up-to-date, the setup program will install or update them and ask you to reboot. After rebooting you will need to launch the setup program again from the temporary directory you chose above (or run RTBInstall again).

    2. In setup you will be asked to read and accept the license agreement. You must agree for the software to be installed. Next you will be asked where you'd like to install Relatia Time and Billing. Choose a directory on your local hard drive. Finally, the setup program will copy all files to the appropriate destination. You may be asked to reboot if certain support files were updated.

  2. Login to GoldMine as the user of this workstation.
  3. From the Windows Start menu, click on Programs - Relatia TB - Relatia TB Install
  4. You will be notified that no registry settings were found and that Relatia Time and Billing will create them. Relatia Time and Billing will announce that first-time installation is complete.
  5. Close GoldMine. Launch GoldMine again, logging in as the same user as above. You will now find RTB's menu at the right-end of the GoldMine toolbar as RTB (see TaskBar). Beneath it are two entries: 'Add Labor/Expenses' and 'RTB Mgmt Console'. Choose 'RTB Mgmt Console' to complete setup. Next you will be asked to login to RTB. The dialog box will show the user currently logged into GoldMine. Be sure to enter that user's GoldMine password. (You won't be asked for this again.) The program should open up on the RTB Mgmt Contsole. This user may now use Relatia Time and Billing from this workstation.
  6. Synchronize GoldMine with the main database (if this is a remote user).

Post-Installation Checklist:

Following successful installation -

  • If you skipped the opportunity to allow Relatia Time and Billing to modify your database, that can be done manually: add a custom field UBLGRT named 'Billing Rate' of type numeric length=6 and decimal=2. (a database rebuild will be required). then create a custom screen under the Fields tab so that you can enter and edit this field (see your GoldMine documentation for details on creating a custom screen or adding a custom field to the database, or consult your GoldMine partner for assistance). Finally, add three user groups to GoldMine: Relatia_Managers, Relatia_Accounting and Relatia_Users.

  • Populate the GoldMine user groups to allow access to sensitive areas of Relatia Time and Billing. To the group Relatia_Accounting, add the GoldMine user(s) who will be performing the billing process (i.e. running the Post to DB process). To the group Relatia_Managers, add the user(s) who will have access to the Resource Maintenance , Charge Code Maintenance , System Settings and Metrics Console . Some of this information is sensitive and should only be seen by management and/or human resources since it reveals employee salaries or company profitability figures.

  • Configure the System Settings to allow Relatia Time and Billing to properly calculate labor duration and rates. These are found in RTB Mgmt Console - File - Options - System Settings. Only users which are members of the GoldMine user group Relatia_Managers will be able to save the changes made here. See a detailed discussion of each option found in a later section. If you're using GoldMine 8.5 or greater, you can reference Cases (in the Service Center) for Labor, Deliverables and Expenses. Configure the Case Number Format tab options to match those set in GoldMine to allow automatic Case numbering. Set the entries under the Case Labor Options tab as desired.

  • Enter Resource cost and labor billing goal for each employee who will be submitting labor. It is important not to overlook this step. (A detailed discussion of this feature can be found in a later section.) This may be found in RTB Mgmt Console - File - Options - Resource Maint. Only users which are members of the GoldMine user group Relatia_Managers will be able to access this option. It is very important that a Resource Cost record is created for each user who submits labor. Failing to do so will cause a fatal error to occur when the labor records for that userid are processed by Post To DB. If you are not interested in the accuracy of the Metrics Console report, then you may enter dummy values for these userids. The best value for this purpose is "1.00" not "0.00" in each of the three fields.

  • Create Custom Charge Codes to accurately reflect your business's various pricing methods. This is an advanced feature which allows additional flexibility in specifying a labor rate over those found in the System Settings. Both methods can be used simultaneously (and were designed to do so). See a detailed discussion of this feature in a later section. This option can be found in RTB Mgmt Console - File - Options - Charge Code Maint. Only users which are members of the GoldMine user group Relatia_Managers will be able to enter this option.

  • MOST IMPORTANTLY - enter your Global and (if needed) per client rates in the UBLGRT field. The record which you designated during installation as your company's contact record will hold the value for the Global billing rate, while the per client rate is specified in the UBLGRT field of each client. The rate that applies to a particular labor charge is then dependent on the selections made in System Settings. In order to edit this field, you must have created this custom field and a custom screen to allow access to it as discussed above. (see the discussion in Administering Relatia Time and Billing below for further details on setting the per client UBLGRT field.) Note that it is pefectly acceptable to leave the per client billing rate field blank - you may prefer to provide a billing rate through other methods.

  • Allow security (users' settings) to synchronize to remote users. Only users which are members of the GoldMine user group Relatia_Managers or Relatia_Accounting will be able to access certain restricted areas of Relatia Time and Billing.

  • The synchronization preference for each user should be set to a default path that includes the TMPLINKS directory and the "Retrieve Documents Into" setting must be set to "Specified Default Drive and Folder". Remote users should reference the TMPLINKS directory beneath where GoldMine is installed (usually C:\Program Files\Goldmine\Tmplinks), while networked users should all share the same path to a common TMPLINKS directory (most likely a share on your GoldMine server). Failure to set these options as described could result in some users being unable to retrieve Charge Summaries as linked documents.

  • If you've made any of the changes listed above, be sure to synchronize everyone to bring them up-to-date.

Administering Relatia Time and Billing

Options

System Settings:

After installing Relatia Time and Billing for the first time in an organization, there are several system level options that must be set to ensure RTB mirrors your organization's established time and billing practices.

To change items in the system options dialog box, you must be a member of the user group Relatia_Managers.. The system options can be found by selecting RTB Mgmt Console from the RTB button on the GoldMine TaskBar (in GM version 7.x, RTB menu entries are also located in GM's File menu).

GoldMine 8.x TaskBar

GoldMine 7.x TaskBar

Options - System Settings

Once open, select File - Options - System Settings.

Options - Systems Settings Dialog

The options on this dialog control the settings for the built-in Charge Code called Standard Billing and allow the activation of the Completed Activities method of data entry.

Labor Rounding Rules:

Labor Rounding Rules influence the way RTB does time calculations. Some organizations prefer to bill customers for time in established, even increments. RTB accommodates most Labor Rounding models by offering the following selections:

Use Exact Time - RTB does no rounding, labor duration is calculated exactly as entered in the time calculator when entering a labor charge detail.

Use Nearest (15 min, 30 min, 1hr.) . - selecting this option configures RTB to round time calculations to the nearest chosen interval. Unlike the next options, Nearest allows rounding forward or backward in time based upon the closest time interval.

Use Next (15 min, 30 min, 1 hr.) - As opposed to using nearest (time interval), selecting next (time interval) will always round time calculations forward in time to the next chosen time interval.

Example:

Begin time:12:00pm End time; 12:06pm

Using Nearest 15 min., RTB would calculate: 12:06pm - 12:00pm=6min, and rounding to nearest 15 min would round the time calculation to 0 minutes.

Using Next 15 min., RTB would calculate: 12:06pm - 12:00pm = 6min, and rounding to next 15 min would round the time calculation to 15 minutes.

Labor Rate:

The Labor Rate option helps RTB calculate billing charges for the Ready to Bill and Invoiced Reports. There are three options, each allowing different levels of control for users when entering labor details. Note that any or all options can be selected simultaneously depending on established billing practices.

All labor is charged at one rate (Global) - This option allows you to specify a single rate that all customers are charged for labor. This rate can be set by entering a value in the custom GoldMine field named UBLGRT (added to your database during installation) which can be found in the custom Field view called Billing Rate on your company's contact record. (For more information on adding custom fields and views to GoldMine, please see your GoldMine documentation or consult your GoldMine Value Added Reseller.)

Each client has a unique rate (per client) - This option allows you to specify a unique billing rate for each customer. If this option is checked, you may set each customer's billing rate by entering it in the custom GoldMine field named UBLGRT (see above). If this option is selected, RTB will first look for the UBLGRT field for the corresponding customer record to determine billing rate. If this option is used together with the Global option (above) then it is not necessary to enter a rate for every customer: it is only needed for those customers who are charged a different rate than that specified by the Global rate. Thus, most customers would have '0.00' (or blank) in this Billing Rate field.

Each project has a unique rate (per project) - RTB allows you to associate any new labor or charge detail with an existing GoldMine Project. Selecting this option allows you to specify a unique billing rate for each project. To specify the project billing rate, you must add a new Detail to the project with the Item entered as "Billing Rate" and the Reference as "x.xx" where x.xx equals this project's billing rate. For example:

Projects - Add new Detail

NOTE

This value must be entered as a number in US English format (i.e. 1.23) even if your computer's Regional Settings specify a different number format. Do not enter your currency symbol in this field. Doing so will cause this field to be misinterpreted during later processing by Relatia Time and Billing.

To make this process a easier, a wizard for creating Projects with the appropriate options can be found in the RTB Management Console under File - Block Project Wizard.

By selecting more than one Labor Rate option, you give yourself substantial flexibility in designating the rate's you charge for labor. Most often, all three options are chosen for Standard Billing to give it maximum flexibility.

When you choose more than one option, the rates are applied in a particular order to help resolve conflicts. They begin at the bottom of the option list (per project) and work their way to the top (Global). Options not checked are ignored. As an example, let's assume you have checked per project and Global. Relatia Time and Billing would check each labor charge to determine if it was associated with a project and had a custom Detail record attached to that project with a specified Billing Rate value. If it finds a rate that is greater than 0.00, it applies that rate. If not (or there is not a project associated with the labor charge) then RTB falls back to the next higher checked item in the option list. In this example, it's the Global option. If the custom field (UBLGRT) exists and contains a value greater than 0, it then applies this rate. A zero in this field, (or no such field) would cause Relatia Time and Billing to use $0.00 as the rate.

If you are in doubt as to which options to choose, start by selecting all the check boxes. This will give you maximum flexibility in configuring a rate system.

Minimum Labor Duration: - Designates the shortest time which can be charged for labor. You may choose: No Minimum, 15 min., 30 min., 1 hr. and 2 hrs. from the drop-down. For example, selecting a 1 hour minimum would substitute 1 hour for an actual duration of 20 minutes when processed by RTB.

This flexibility is intended to allow you to override your "standard" charge structure when the need arises. Thus a salesperson could negotiate a special one-time rate for a project that would override your usual rate. Or you may charge some clients a rate which is different from your standard rate. This would show up on RTB's Ready to Bill and Invoiced reports without requiring everyone to be notified that this was a "special" situation.

Using completed GoldMine Activities:

Selecting the checkbox 'Allow completed Activities to be used as an input source' will activate the ability for RTB to populate Labor and Deliverable records directly from completed GoldMine activities. This method can significantly simplify the data entry process and eliminate entering the same information twice. Once activated, you may use the activities: Appointment, Call, Next Action, Other or ToDo to record a Labor charge and Forecasted Sale to record a Deliverables (i.e product sale) charge.

To record Labor using a completed activity, you must enter appropriate values into the Activity Code and Result Code fields of an activity when completeing it. (Failure to code these two fields correctly will cause this record to be ignored by RTB.) In the F2-lookup for the Activity Code, you will find special codes for Standard Billing and Warranty as well as any custom charge codes you have created. All these codes begin with an exclamation point (!) which should tend to place them at the top of the list. Select one of these codes from the list to specify the appropriate billing rate for this charge. In the F2-lookup for Result Code, you'll find one called "RTB (Activity code for Relatia T&B)". You must choose (or enter) this value in order for Relatia to recognize this record during later processing. The other fields function similarly to those in RTB's own Labor form with some restrictions:

  • you may choose any Contact, but RTB will use the Contact attached to the master record (i.e. company name)
  • though you may specify either an Opportunity or a Project on an activity, RTB Labor can only be associated with a Project. You must choose either a Project or none.
  • Reference serves as the Labor Description. Though you may enter upto 80 characters, only the first 50 will be seen by Relatia Time and Billing.
  • Duration is the length of time to charge the client. This field is not validated by GoldMine for legal values, so be careful what you enter here. RTB can flexibly accept several formats for this value. It may be entered as a time in the format hrs:mins:secs (xx:xx:xx) or hrs:mins (xx:xx). Or you may choose to enter the duration as hours in the format x.xx (for example: 2 and 3/4 hours would be represented as 2.75). International users may also enter this value as 2,75 if they use the comma as their decimal separator. RTB will set this field to 0.00 if it can't determine what number format is present.
  • the Success field has no meaning to RTB, and any value here will be ignored.
  • GoldMine's activity form has no field for specifying a fixed price Labor Type. Consequently, it's missing from the list of Activity Codes. A custom charge code must be used to provide this Labor Type.

To record a Deliverable (product sale) using completed activities, complete a Forecasted Sale and set the Result Code field to "RTB" (it's present in the F2-lookup for this field) and set the Success field to "Closed Sale". Since there is no Labor Type associated with a Deliverable, no entry is required in the Activity Code field. Some of the same limitations mentioned above for Labor applies to Deliverables, as well. Please note these special considerations:

  • Product serves as the Item Description. Though you may enter upto 80 characters, only the first 50 will be seen by RTB.
  • Set the field Success to "Closed Sale" to ensure that RTB will consider this record as a valid sale.
  • The Amount field is the Total Sales Price of the item sold (i.e. the price charged to the client). The format of this field is expected to be US (i.e. 2.34), but international users may use a comma for the decimal separator (i.e. 2,34) if their Regional Settings (in the Windows Control Panel) so allows.
  • GoldMine's activity form has no field for specifying the Cost of the item sold. This information should be provided by the accounting staff after completed activities are imported into RTB. If you know the cost of the item at the time this activity is completed, you may pass it along to the accounting staff in the Notes field. (The Notes field of a Deliverable will only be visible to an RTB user - it will not be printed on the Charge Summary).

It is not possible to record Expenses using completed activities; use RTB's native Add Expense dialog, instead.

Charges entered using the Completed Activites method appear in GoldMine as standard records. To be processed by RTB, they must be Imported by a member of the Relatia_Accounting user group. For details on importing completed activities into RTB, click here.

Options - Case Number Format

Options - Systems Settings Dialog

The options on this dialog allow RTB to automatically create Case numbers that match those that GoldMine uses. Match them with those already in use in GoldMine's Service Center under the Customize button. Click the button labeled "..." to the right of the Case Number Mask to see these settings.

Options - Case Labor Options

Options - Systems Settings Dialog

The options on this dialog provide some additional features for the use of Cases with RTB.

Add Labor Notes to Case as a Resolution Note - When adding Labor that references a Case, you can have the contents of the Labor notes area added as a Resolution for the Case. By choosing this option, the remaining options are made available to fine-tune this behavior.

Use the following as a template for Labor Notes - When referencing a Case, the text below will be automatically added to the Labor Notes area. This can act as a form to structure the content and appearance of Notes. This template is only applied when a Case is referenced otherwise the Labor notes area is blank by default.

User must provide additional info during Labor entry - Requires the user to provide more than just the template contents selected above. Forces the user to "fill-in" the form.

Charge Codes

Charge Codes allow the creation of a named set of rules used to specify the charge for labor. The same options that are available in System Settings are also available for defining Charge Codes. Two additional options are present: you may choose to specify an hourly rate or a fixed-price. Charge Codes make it very easy to setup completely different rate structures for each of the services you sell. For example, you might provide on-site technical support at $125/hour with a minimum charge of 1 hour, but would like to offer telephone-based help desk support at $75/hour with no minimum. Without Charge Codes this is a little difficult to achieve since the System Settings only provide for differentiating a rate based on a client or a project. (In the mentioned example, it would be necessary to flag a labor charge with a Constraint message notifying Accounting that they must handle this charge as an exception and spell out just what those special conditions are. However the Charge Summary would not accurately reflect the time spent on the phone call and subsequently charged to the customer.) A custom Charge Code solves this problem easily and accurately. You would create a Charge Code called "Help Desk Support" then choose the options "No Minimum", "Use Exact Time" and specify a new "each labor charge has a unique rate" and enter a rate of $75. Whenever this Charge Code is referenced on a Labor detail, these rules are used to properly categorize the time charged and apply the desired rate. It is just as easy to create Charge Codes for fixed-price services i.e. services in which the time required to provide the service does not affect the fixed price charged.

Another example Charge Code could be one used for tracking and reporting on Customer Goodwill labor, which is typically not charged to a client. By defining a Charge Code which has a "unique rate" Labor Rate of $0.00, "No Minimum" and "Use Exact Time" settings, your field technicians could bill time spent researching an issue on behalf of a client. This no-charge labor will be reportable to the client documenting your extra efforts.

Charge Codes also enable a business to easily change the price structure for some services, while leaving others unchanged. In addition, they allow a business to measure the profitability of a particular service based on a Charge Code since all charges are no longer lumped together.

Creating Charge Codes

To create or edit Charge Codes, access the RTB Mgmt Console and choose from the menu: File - Options - Charge Code Maint. You must be a member of the GoldMine user group Relatia_Managers to access this menu.

Options - Charge Code Maintenance

This dialog will display a list of all currently existing Charge Codes. Choosing from the Charge Codes drop-down box will provide the details for each. To edit a selected Charge Code, choose "Edit". The following dialog will appear from which any changes can be made.

Editing Charge Codes

Description - Enter a short descriptive name for the Charge Code. (limited to 50 characters)

Note: if the option to use completed GoldMine activities is selected, you should structure this description so that the first 36 characters are unique with respect to all other charge code descriptions (for readability in GoldMine's dialog boxes).

Labor Rate:

  • All Labor is charged at one rate. (Global) - Works just as in System Settings. If no other rate options are chosen, then your company's global hourly rate (the UBLGRT field in your company's contact record) will be applied.
  • Each client has a unique rate. (per Client) - Works just as in System Settings. Any non-zero value in the UBLGRT field for the customer associated with the labor detail will be applied. If this field is left as zero, then the Global rate will be applied.
  • Each project has a unique rate. (per Project) - Works just as in System Settings. Any non-zero value in an attached Detail to the associated project will be applied. (See Labor Rate in System Settings for details ). If this field is not present, then any lower ranked options (per Client, then Global) will be examined for a valid rate.
  • Each labor charge has a unique rate. (per piece) - This option is unique to Charge Codes (i.e. it's not an option for Standard Billing). If checked, the associated value will be applied per hour charged. It can be thought of as an alternative Global rate and it overrides all the lower ranked options (i.e. per Project, per Client and Global).
  • Each labor charge has a fixed price. - This option overrides all the other options. When specified, this Charge Code applies a fixed price to the labor charge regardless of the hours recorded. The time will be applied to the productivity statistics of the resource involved and will be a factor in the profitability of this Charge Code. However, the hours recorded will NOT appear on the Charge Summary and are thus hidden from the client.

Minimum Duration: - Works just as in System Settings. A labor charge bearing this Charge Code will adopt the selected minimum if the recorded duration is less than this value.

Rounding Rule: - Works just as in System Settings. The selected rounding method will be used to calculate the final duration to be charged.

Once you have created a new Charge Code it should be synchronized to any remote users. After successful synchronization, remote users will be able to select this code from the Labor Type drop-down list on the Labor form or from the Activity Code drop-down on GoldMine's completed activity dialog.

Editing Charge Codes

When Charge Codes are altered, the changes affect all labor records bearing that code which are outstanding (i.e. have not been invoiced) at the time of the change. Any Charge Code field may be changed as desired.

Deleting Charge Codes

It is recommended that Charge Codes which are no longer needed, be "retired" rather than deleted from the database. The calculation of statistics is dependent on all Charge Codes which appear in Labor records. Removal of a referenced Charge Code from a Labor record will result in that record being excluded from the accumulation of statistics, harming their accuracy. Please note that once a Charge Code has been deleted, it cannot be undeleted or simply recreated since a Charge Code is given a unique internal value by which it is referenced. Also, it is not possible to edit the history records after the fact to have them refer to the newly created Charge Code. So only delete a Charge Code if it is certain that it has never been referenced by a Labor charge.

When "Delete" is chosen, a dialog will warn you to retire instead and present the option to choose either. Retired Charge Codes are hidden from view in both the Labor form's Labor Type drop-down list and the Charge Code Maintenance list. Once retired, there is no way to access that code, nor is there any way to "unretire" it.

When the Ready to Bill Report is run, a search will be made for "missing" Charge Codes. If a labor record is found which references a nonexistant Charge Code, the Labor Type for that record will be changed to Standard Billing and the message "!MISSING CHARGE CODE!" will be added to the Constraints field. The labor record can then be edited as necessary to correct the charge.

Resource Costs

Each employee who contributes labor charges must be entered as a Resource item, recording their estimated monthly and hourly cost and a monthly billing goal in hours. The first two figures are used in the statistics to calculate profitability, while the last is used to calculate performance efficiency. Since these figures are estimates, some experimentation with their values may be appropriate. Monthly and hourly cost do not have to be arithmetically related. The monthly cost for an hourly employee is clearly the hourly cost times the number of work hours in an average month. While for a salaried employee the hourly cost could be found by dividing the monthly cost by the number hours in their monthly billing goal. You may decide to adopt a different method that more closely agrees with your business model or intuition. The resulting impact can be seen in the statistics displayed in the Metrics Console.

The "Monthly Goal (hrs)" is the number of hours an employee is expected to present for billing in an average month.

It is very important that a Resource Cost record is created for each user who submits labor. Failing to do so will cause a fatal error to occur when the labor records for that userid are processed by Post To DB.

When the Ready to Bill Report is run, a search will be made for "missing" Resource Cost references. If a labor record is found which references a nonexistant Resource Cost record, the message "!MISSING RESOURCE COST!" will be added to the Constraints field. The Resource Cost record can then be created to correct the error.

If you are not interested in the accuracy of the Metrics Console report, then you may enter dummy values for these userids. The best value for this purpose is "1.00" not "0.00" in each of the three fields.

Resource Maintenance is located on the File - Options menu of the RTB Mgmt Console. Since all of these figures should be kept confidential, you must be a member of the GoldMine user group Relatia_Managers to gain access.

Options - Resource Maintenance

Deleting Resources

The same considerations apply to resources as apply to Charge Codes: choose to "retire" a resource rather than delete them. Employees come and go, but the labor reported by a former employee still reflects the costs in effect at the time it was billed. To ensure accurate statistics, the resource information for any employee who has ever reported labor must always be available. When you choose "Delete" you will see this warning and be allowed to delete or retire the selected resource.

When a user is removed from GoldMine, that name will no longer appear in this list and consequently no longer available for editing. The user will be, effectively, retired from RTB.

Entering Charge Details

Charge Details are recorded as a way to track time and billing information, deliverable items (i.e. product sales) and expenses. Using RTB's charge detail editor, a user can associate charge details with customer records and/or GoldMine projects to be billed by accounting personnel at a later date.

To create a new charge detail, a user selects "Add Labor/Expenses" from the RTB menu on GoldMine's TaskBar. Once selected, RTB will prompt the user to select the type of charge detail to be added:

Add Labor/Expenses Dialog

Once the desired selection is made, RTB will open the requested dialog box.

Tracking Labor

Tracking labor in RTB is a simple and intuitive process. By first selecting the appropriate contact record in GoldMine, the Performed By, Owner, and Company fields are automatically populated with the appropriate information. The following is a description of the available data fields and their intended uses:

Labor Dialog

Performed By: - The name of the person performing the labor. This is automatically populated with the Full Name of the currently logged in GoldMine user. You may choose another user from the list if you are recording this for someone else.

Owner: - The GoldMine user name of the person who created the detail. This field is automatically populated with the user who is currently logged into GoldMine. It's purpose is to identify the user who created this record.

Labor Description: - A brief, informative description of the work being performed. This field is limited to 50 characters. The right-pointing arrowhead at the end of the text box allows the creation and rapid entry of standard phrases. It functions just like GoldMine's F2-Lookups. If you choose to create a new F2-Lookup, you will have the option of entering text for the Labor Description, the Constraints field and the Notes field or any combination of those. Fields left blank will be ignored later when this entry is selected.

Company: - The name of the Company to be billed for the work performed. Note that if Company you want is not displayed, the browse button located to the right of the company field will allow you to search for and select any company in the GoldMine database.

Project: - The Project that this charge detail is to be associated with. The pull-down menu will automatically show all currently open Projects that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Projects allows charge details to be organized and billed as an associated group. This is particularly useful when you need to record multiple charge details created by multiple users over a period of time and want to set a unique billing rate for all work done on the project. (See System Settings for more details) The View button to the right will give you a quick (non-editable) view of the project listed in the box so that you may verify if this is the project of interest. For further discussion of the use of Projects in RTB see here.

Case: - The Case that this charge detail is to be associated with. The pull-down menu will automatically show all currently open Cases that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Cases provides some additional benefits to reduce data entry and ensure documentation requirements. See the discussion of RTB's use of Cases here for further details. The View button to the right will give you a quick (non-editable) view of the case listed in the box so that you may verify if this is the case of interest.

Participants: - If you use a Project, you may pick one or more company/contacts from the list of Project Contacts to act as Participating Contacts in the charge. These Participating Contacts are listed on the Charge Summary for the client to see. A GoldMine History record is created for each of these and marked with the Result Code: ">PC". Each of these History records will contain the same information as the RTB charge record. Modifying the RTB charge, will cause an update to all associated ">PC" History records. This feature is intended to allow you to show your client that other contacts participated in the charged activity.

Constraints: - The Constraints field is designed as a place to store any constraining circumstances that might prohibit a charge detail to be marked as completed or ready to bill. It may also be used to communicate an administrative detail about this charge to your billing/invoicing personnel. It is not seen by the client. Constraint text is shown in red on the form and on the HTML view of the form. An F2 Lookup is available for this field if desired.

Total hrs on-site: - This is a calculated field that represents the total number of hours spent accommodating the work associated with this charge detail. And includes both chargeable and non-chargeable time.

Total hrs off clock: - This is a calculated field that represents non-billable time associated with this charge detail. Non-billable time might be such things as time spent on the phone with a different client, or meeting with management to discuss future business possibilities.

Total hrs. billed: - This is a calculated field that represents billable time associated with this charge detail. This field is normally not editable; it's value is calculated from the details entered on the Record Time sub-form. However, if you wish to enter a value directly, you may double-click on the field to make it editable. When you do this ALL details in the Record Time sub-form are lost. Directly entering a value is useful if you are not interested in tracking the date and time of arrival on-site, the time spent off the clock and the date and time you left the site.

Record Time: - This button opens the time calculator used to record billable and non-billable time. For more information on using the time calculator, please refer to the section entitled "Recording Time."

Labor Type: - This drop down menu denotes the type of labor recorded by this detail as a whole, the available options are:

  1. Standard Billing: - The labor entered in this detail is billable according to the options in System Settings.
  2. Warranty: - The labor entered in this detail is provided gratis and therefore will not be charged at any rate (i.e. provided free of charge). Any hours listed will appear on the Charge Summary. The hours reported will be used for productivity and profitability metrics.
  3. Fixed-Price: - The labor entered is charged an amount that does not depend on the hours reported. This options is used to record flat fee or value-based pricing for a service. The hours reported do not appear on the Charge Summary for the client to see, but are used for productivity and profitability metrics. The price is free-form and is entered into the adjacent field. Custom Charge Codes can be created to produce additional, uneditable fixed-price service offerings.
  4. Custom Charge Codes: - In addition to the three categories listed above, this drop-down menu will show any Charge Codes which have been previously defined.

Total Charged: - This field is used to specify a Fixed-Price charge as noted above. It may be edited if the Labor Type is Fixed-Price. Custom Charge Codes can be created to produce additional uneditable fixed-price service offerings.

Billing Status: - This drop down menu denotes the status of the charge detail. The available options are:

Ready to Bill: - The detail is ready to be billed to the customer

Not Ready to Bill: - The detail is not yet ready to be billed to the customer.

Work performed: - This text box is where details of the work performed for this labor charge should be recorded. This information is passed on automatically to the customer when the Charge Summary reports are printed.

IMPORTANT

The information entered in the Work Performed text box will be seen by the customer. Organizations should make every effort to ensure that Work Performed descriptions are informative and appropriate for disclosure to the client.

Recording Time

RTB's Time calculator allows users to quickly and accurately record complex combinations of billable and non-billable time segments. The time calculator is available by clicking the Record Time button when entering labor charge details.

The time calculator is broken into 5 segments, each containing begin and end dates and times, duration information and a chargeable checkbox. (It is important to note that the time calculator does not actually act as a timer, you must manually enter start times and end times into each segment in order to calculate the duration of the segment.)

When entering time, each segment should represent a distinct time period. Keep in mind that not all segments must be used but any segment with a duration of greater than zero will be forwarded to the charge detail. Also bear in mind that this dialog is intended to calculate the time used for a single visit - it's not a diary for recording multiple trips. Use one labor entry per visit. The available fields for each section include:

Begin Date: The date of the time segment

Begin Time: The time that the segment began

End Date: The date on which the segment ended

End Time: The time at which the segment ended

Duration: The calculated value of end date/time less start date/time in hours.

Chargeable: Checking this box indicates that the corresponding segment is chargeable to the customer.

By breaking the time up into multiple segments, you may easily calculate how much time was chargeable to the customer and how much was not chargeable without resorting to pen and paper. Examples of non-chargeable time that you might want to record, could be lunch breaks, phone calls to other clients or discussions with personnel not directly related to the task. You should record these in the order in which they occurred. When complete, the durations will be totaled into three categories: total time on site, total hours charged to the customer and total hours off the clock. The actual details of each segment are not saved, only the composite totals.

Record Time Dialog

Recording Labor while completing an activity in GoldMine:

By coding the Activity Code and Result Code fields in GoldMine's Appointment, Call, Next Action, Other and ToDo activity types with special codes, a user may avoid using RTB's Labor entry form. Though there are some minor limitations on this method, the convenience factor and naturalness of charging your time while simultaneously completing a scheduled activity makes this method highly productive. In order to use this method, it must first be activated in the System Settings. Activation causes the creation of F2-lookup values for the Activity Code field with which the user can assign the Labor Types: Standard Billing, Warranty and any custom Charge Codes. (The system-defined Labor Type: Fixed-Price is absent since there is no field available for it's value.) These F2-lookups are properly maintained as changes to the Charge Codes occur. A unique 3-character code (beginning with an exclamation mark "!") is automatically assigned to each Charge Code. (WARNING: Do not edit or delete these values: they contain hidden additional information that a user cannot create or recreate.)

Only completed activities of the types: Appointment, Call, Next Action, Other and ToDo will qualify for this use. A valid Labor Type must be selected from the F2-lookup for the Activity Code field and the Result Code field must contain the value "RTB" (which is also available in it's F2-lookup). There are some limitations on the use of other fields:

  • you may choose any Contact, but Relatia will use the Contact attached to the master record (i.e. company name)
  • though you may specify either an Opportunity or a Project on an activity, RTB Labor can only be associated with a Project. You must choose either a valid Project or none.
  • Reference serves as the Labor Description. Though you may enter upto 80 characters, only the first 50 will be seen by Relatia Time and Billing.
  • Duration is the length of time to charge the client. This field is not validated by GoldMine for legal values, so be careful what you enter here. Relatia can flexibly accept several formats for this value. It may be entered as a time in the format hrs:mins:secs (xx:xx:xx) or hrs:mins (xx:xx). Or you may choose to enter the duration as hours in the format x.xx (for example: 2 and 3/4 hours would be represented as 2.75). International users may also enter this value as 2,75 if they use the comma as their decimal separator. Relatia will set this field to 0.00 if it can't determine what number format is present.
  • the Success field has no meaning to RTB, and any value here will be ignored.

These completed activities are converted into Labor records when the accounting user runs the Import Completed Activities process. Each record converted will have it's Result Code field changed from "RTB" to "Zzz" to prevent that record from being imported more than once.

Recording Deliverables:

Deliverables are items sold and delivered to a customer, such as software, hardware or products of any kind (this could include services sold as a product, for example web hosting). Though there is no provision for a product catalog or inventory listing, it is possible to create a simple product catalog by using the F2-Lookup feature. With it, each Item can specify it's cost and a quoted price reflecting a standard markup.

Deliverables:

Deliverables Dialog

The Deliverables detail is designed to allow users to quickly enter accurate information while in the field.

The fields in the Deliverables form are:

Charged By: This is automatically populated with the Full Name of the currently logged in GoldMine user. You may choose another user from the list if you are recording this for someone else.

Owner: The GoldMine user name of the person who created the detail. This field is automatically populated with the username of the user who is currently logged into GoldMine. It's purpose is to identify the user who created this record.

Item Desc: The description of the item sold. This field is limited to 50 characters.

Company: - The name of the Company to be billed for the product. Note that if Company you want is not displayed, the browse button located to the right of the company field will allow you to search for and select any Company in the GoldMine database.

Project: - The project with which this charge detail is to be associated. The pull-down menu will automatically show all currently open Projects that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Projects allows charge details to be organized and billed as an associated group. This is particularly useful when you need to record multiple charges and deliverables created by multiple users over a period of time and/or want to set a unique billing rate for all work done on the project. (See System Settings for more details) The View button to the right will give you a quick (non-editable) view of the project listed in the box so that you may verify if this is the project of interest. For further discussion of the use of Projects in RTB see here.

Case: - The Case that this charge detail is to be associated with. The pull-down menu will automatically show all currently open Cases that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Cases provides some additional benefits to reduce data entry and ensure documentation requirements. See the discussion of RTB's use of Cases here for further details. The View button to the right will give you a quick (non-editable) view of the case listed in the box so that you may verify if this is the case of interest.

Quantity: - How many.

Cost: - Your company's cost for the item. Optional; enter if known, leave it as zero otherwise.

Quoted Price: - The price quoted to the customer.

Total Charged: - Calculated by multiplying the quantity by the quoted price.

Delivered on: - The date on which the item was delivered. It defaults to today's date.

Billing Status: - This drop down menu denotes the status of the charge detail. The available options are:

Ready to Bill: - The detail is ready to be billed to the customer

Not Ready to Bill: - The detail is not yet ready to be billed to the customer.

Notes: - Any notes related to the item.

Note - Unlike work performed in the labor detail form, any notes added to the Billable Expense form will not be seen by the customer. This makes the notes field an excellent place to record miscellaneous billing instructions or other non-standard information.

Recording Deliverables while completing an activity in GoldMine:

By coding the Result Code field in GoldMine's Forecasted Sale activity with "RTB", a user may avoid using RTB's Deliverable entry form. There are some limitations with this method due to the way GoldMine uses fields for this record type so this data entry method may not be as useful for Deliverables as it is for Labor. In order to use this method, it must first be activated in the System Settings. Unlike the method for completing an activity for labor, no use is made of the value of the Activity Code field. Please note the following restrictions on the use of other fields:

  • You may choose any Contact, but RTB will use the Contact attached to the master record (i.e. company name)
  • Though you may specify either an Opportunity or a Project on a GoldMine activity, RTB Labor can only be associated with a Project. You must choose either a valid Project or none.
  • You will not be able to reference a Case when using GoldMine's activity form.
  • Product serves as the Item Description. Though you may enter upto 80 characters, only the first 50 will be seen by RTB.
  • Set the field Success to "Closed Sale" to ensure that RTB will consider this record as a valid sale. A "Lost Sale" value will cause this record to be ignored.
  • The Amount field is the Total Sales Price of the item sold (i.e. the price charged to the client). The format of this field is expected to be US English (i.e. 2.34), but international users may use a comma for the decimal separator (i.e. 2,34) if their Regional Settings (in the Windows Control Panel) so allows.
  • RTB controls the values into numeric fields and prevents invalid entries. GoldMine's forms do not prevent this, so it's possible for users to key in bad data. This could result in errors when RTB later tries to process these invalid values.
  • GoldMine's activity form has no field for specifying the Cost of the item sold. This information should be provided by the accounting staff after completed activities are imported into Relatia Time and Billing. If you know the cost of the item at the time this activity is completed, you may pass it along to the accounting staff in the Notes field.
  • GoldMine's activity form does not have access to the special F2-Lookups used by RTB to form a Product catalog. Consequently, you won't be able to pick a product from the list and have it's sale price automatically populated.

These successful, completed forecasted sales are converted into Deliverables records when the accounting user runs the Import Completed Activities process. Each record converted will have it's Result Code field changed from "RTB" to "Zzz" to prevent that record from being imported more than once.

Recording Expenses:

Expenses

The reimbursable expenses detail is designed to provide a place to record expenses incurred by the user related to a particular contact record or project. Reimbursable expenses are often incurred on the fly and paid for by the user, then reimbursed by their employer. In RTB, you also have the option to forward the expense on to the customer by checking the Charge Client check box. (This actually creates two charges: an expense charge to reimburse the employee and a deliverable charge to the client.) Examples of typical uses for this feature would be mileage or parking and tolls for which the employer may reimburse their employee and optionally pass along the charges to their client.

The available fields in the Expense form are:

Reimbursable Expenses Dialog

Charged By: - This field will be automatically populated by the full name for the currently logged in user from GoldMine's user database.

Owner: - This is the currently logged in user's GoldMine id.

Expense Desc: - A brief description of the expense. This field is limited to 50 characters.

Company: - The name of the Company to be associated with the charge. Note that if Company you want is not displayed, the browse button located to the right of the company field will allow you to search for and select any contact in the GoldMine database.

Project: - The project that this charge detail is to be associated with. The pull-down menu will automatically show all currently open Projects that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Projects allows charge details to be organized and billed as an associated group. This is particularly useful when you need to record multiple charge details created by multiple users over a period of time and want to set a unique billing rate for all work done on the project. (See system options for more details) The View button to the right will give you a quick (non-editable) view of the project listed in the box so that you may verify if this is the project of interest. For further discussion of the use of Projects in RTB see here.

Case: - The Case that this charge detail is to be associated with. The pull-down menu will automatically show all currently open Cases that are associated with the contact record selected in the Company field. Associating charge details with GoldMine Cases provides some additional benefits to reduce data entry and ensure documentation requirements. See the discussion of RTB's use of Cases here for further details. The View button to the right will give you a quick (non-editable) view of the case listed in the box so that you may verify if this is the case of interest.

Quantity: - How many.

Cost: - Your cost for the item. Unlike the similarly named field in Deliverables, this field is not optional. It represents your out-of-pocket cost for the expense.

Total Charged: - Calculated by multiplying the quantity by the cost.

Reimburse Me: - Checked by default. If unchecked no expense will be generated for this employee.

Charge Client: - Selecting this check box will enable you to pass this expense onto the customer. The following dialog appears when you check this box allowing you to adjust the markup (Quoted Price) charged to the customer. The View button next to this check box allows you to see and edit the contents of this charge at any time.

Charge Client Dialog

Delivered on: - The date on which the expense was incurred.

Billing Status: - This drop down menu denotes the status of the charge detail. The available options are:

Ready to Bill: - The detail is ready to be billed to the customer (default).

Not Ready to Bill: - The detail is not yet ready to be billed to the customer.

Notes: - Any notes related to the item.

Note - Unlike work performed in the labor detail form, any notes added to the reimbursable expense form will not be seen by the customer. This makes the notes field an excellent place to record miscellaneous billing instructions or other non-standard information.

Unlike Labor and Deliverables, there is NOT a shortcut method for using completed GoldMine activities to record Expense charges.

Editing Charge details

Once a charge detail has been committed to the database, you may later need/want to edit it. In order to do this, you must run the RTB Mgmt Console located in the RTB sub menu on the GoldMine TaskBar. Once the report has been opened, you must select 'Ready to Bill' from the processing menu in order to see all charge details that have not yet been invoiced (as well as those which are Not Ready to be billed). After finding the detail you want to edit, simply click the text in the 'Charge Desc' column which will bring up the summary page for the detail. On the bottom left corner, you will see an Edit button. By pressing edit, the original form will open and you may edit the detail. Editing details from the RTB Mgmt Console is necessary because of the relationship between charge details and GoldMine. GoldMine itself does not have any means of displaying records created in RTB, therefore, they can only be accessed by the RTB Mgmt Console. Changes that you make to a charge item will be seen when you run 'Ready to Bill' again to refresh the report. You may run this report at any time and as often as you like.

An additional editing option is available if the item you've chosen is part of a Project: a button for "Approve Charge" becomes available. It allows you change the status of the charge from "Not Ready" to "Ready" for billing without opening the item.

In a similar manner, clicking on the underlined Project entry will provide a button called "Approve Project". It will change the status of ALL charges in the selected project from "Not Ready" to "Ready" for billing.

Referencing GM Projects in RTB charges

RTB can use GoldMine Projects as a way to organize, assign charge rates or amounts, and/or define a block of hours or total funds for any charges associated with them.

In it's simplest mode, charges will be grouped together by referencing a GM Project in the charge. For this mode, the Project functions simply as a "bag" for charges and has no bearing on the rate charged.

A more powerful way to use Projects is to associate a Rate with the Project. When billing against the Project, a user only has to select a Charge Code that includes the "per Project" attribute to pick up the Rate included in the Project's Details tab. This is a convenient way to record a negotiated rate for a particular project or sale. Rates are added as Details to a Project: the Item is entered as "Billing Rate" and the Rate is entered as Reference in the format "x.xx". A wizard is provided to help with this.

NOTE

This value must be entered as a number in US English format (i.e. 1.23) even if your computer's Regional Settings specify a different number format.

Do not enter your currency symbol (i.e. $ in US English) in this field. Doing so will cause this field to be misinterpreted during later processing by Relatia Time and Billing.

Block Projects

Block Hour Projects

Often services are sold to a client as a pre-paid block of hours (i.e. 50 hours). This block is then billed against as labor is provided until no more hours remain in the pool. RTB refers to this as a Block Hour project. To create it, first create a new GoldMine Project. Then add two Detail items to the Project: an Item called Block Hours whose Reference value is the number of hours to provide, and an Item for Billing Rate whose Reference is the hourly rate to be charged. (A wizard is provided to help with this.) IMPORTANT: See the note above about number formats. Labor charges can now reference this Project and charge using the Standard Billing code (or create a custom one that's more descriptive and includes the "per project' option). Note: Do not try to use different charge codes against a block; all charges must use the same hourly rate - the one specified in the Project. (different rates against a block? see Block Amount Projects below)

As charges are accumulated against the block, the Charge Summary will show the number of hours purchased and the number of hours used to date. RTB will also update the Details section of the Project with the entry Hours Used. You can also get this information by running the Open Projects Status Report (Processing - Reports - Rpt_Open Projects Status.rpt).

RTB will not allow you to overbill against a Block Hours Project. Any charge which exceeds the remaining hours on the block will fail to Post. It will show up on the Ready to Bill report with it's description in red italics. Editing it will show an error message on the constraints field of BLOCK HOURS EXCEEDED. You can then take action as needed to correct the issue; either changing it to a standalone charge or creating a new block hour project for this charge.

Block Amount Projects

Another way to sell services is as a fixed amount (i.e. $2500). Like a block hour project, the block amount project is billed against until no funds remain. In this case, you can bill against it at different hourly rates. To create a Block Amount Project, first create a GoldMine Project, then add one Detail to it: an Item called Block Amount whose Reference is the total amount sold to the client. (A wizard is provided to help with this.) IMPORTANT: See the note above about number formats. Charges are then recorded against the Project using any custom Charge Code desired to specify the hourly rate. (you can even specify a rate on the Project by adding the Billing Rate item to the Details. RTB is guided by the Charge Code you've referenced to figure out what amount to deduct.)

RTB will keep up with the total number of hours applied, but it translates them into a dollar amount which it deducts from the total amount purchased. This is reported on both the Charge Summary (for the client) and on the Open Project Status Report. This information is also kept up-to-date in the Project's Details tab under the entry Amount Used.

RTB will not allow you to overbill against a Block Amount Project. Any charge which exceeds the remaining amount on the block will fail to Post. It will show up on the Ready to Bill report with it's description in red italics. Editing it will show an error message on the constraints field of BLOCK AMOUNT EXCEEDED. You can then take action as needed to correct the issue; either changing it to a standalone charge or creating a new block amount project for this charge.

Block Project Wizard

RTB provides a wizard to help with the creation of Projects ensuring the inclusion of the proper Details entries. To access this, open the RTB Managment Console and click on File - Block Project Wizard. The wizard will let you choose to edit an existing Project or create a new one.

NOTE: Editing existing Projects should be used cautiously since it's possible to adversely affect the accuracy of RTB's statistics when alterring Projects that already have invoiced charges against them.

Block Project Wizard - Start

Block Project Wizard - Select Company

Block Project Wizard - Select Project Type

Block Project Wizard - Fill-in Project Info

The wizard can provide a naming convention for Projects. Checking the box "Auto name Project" will prepend the date, total hours or amount and rate to the Project name you supply. The following dialog provides a preview of this name.

Block Project Wizard - Preview & Finish

Referencing GM Cases in RTB charges

RTB charges can also be billed against Cases in the GM Service Center. Note: This feature is only available for users running GM PE 8.5 and above.

Unlike Projects, Cases cannot function as a container for multiple charges, nor can Cases contain any information about rates, hours or amounts. If these features are needed, use a Project as detailed above AND reference a Case for the charge.

Another caveat is that Cases cannot be used with the Completed Activities method of data entry. Use the native RTB dialogs instead to add charges that reference Cases.

The native dialogs provide for 4 different combinations of reference to Cases and/or Projects. In order of increasing complexity:

  1. No reference to either Cases or Projects.
  2. Reference to a Project.

    3. Both of these modes are discussed at length earlier.

  3. Reference to a Case.

    4. You may choose any open Case for the selected Company to reference in a charge. This represents a standalone charge against the Company that happens to reference an active Case. It's treated just like a charge with no reference to Cases or Projects except for one minor thing. When RTB bills the charge, it will create two History records: one as it normally does for a charge, marked with the ResultCode "INV" and a second History record which duplicates the contents of the first but uses a ResultCode of "svc". Internally, the second History record is linked to the chosen Case, so that it can be seen in the History section of the Service Center. (Both records are seen in the History tab of the selected Company.)

  4. Reference to both a Case and a Project

    5. Choosing both a Case and a Project provides access to the same features, such as blocks and designated rates, that Projects enjoy. The Project plays the role of a "bag" to organize the charges under a common description. Even charges that do not reference a Case can be attached to the same Project. The same rules for Projects apply here, too (i.e. don't mix rates in Block Hours Projects, etc.)

Advanced Case Features

There are some additional features that become available when using Cases that make life a little easier in the Service Center. These are optional and controlled by choices defined in the Options - System Settings area. See the Case Labor Options tab there for a detailed discussion of the options and how they work. These options can reduce the data entry task for documenting Cases (and Charges) as well as ensuring uniformity and compliance.

RTB also provides a wizard to produce new Cases that can take advantage of an extended Template (i.e. a template not supported by GM). The RTB Case Template, in addition to those features provided by GM's Case Templates, can populate the Case Description field with designated text. This allows you to structure the field for additional data entry as needed.

To use this feature, you must first set the System Options - Case Number Format tab to match those choices made in GoldMine under the Service Center's Customize button.

To create a new Case or manage Case Templates, go to File - Case Wizard in the RTB Management Console to start the process.

Case Wizard - Select a Company

Case Wizard - Select a Template

You can either select an existing Template or (none) to create a new Case or you can click on the ... button to manage templates. Manage allows you to create, edit or delete templates.

Case Wizard - Manage Templates Dialog

After selecting a template, click Next to fill-in additional info for the Case.

Case Wizard - Case Info Dialog

Case Wizard - Finish Case

After clicking Finish, RTB shows you the Case Number assigned to the new case.

Case Wizard - Case Number Assigned

To find this new case in the Service Center it will be necessary to manually refresh the display. This can be done by right-clicking on any case in the list of cases in the Service Center and choosing Refresh. The new case will be shown in Bold until you select it for the first time.

Case Wizard - New Case Shown in Bold after Refresh

Billing Overview

It is helpful to think of the RTB Mgmt Console as the command center of RTB. Within it, you manage billing details, generate Charge Summaries for your customers, control system settings, manage master and user licenses and edit charge details. In fact, it is the only place from which you can edit charge details once they have been created.

Mgmt Console w/Ready To Bill Report

To open the console, select RTB Mgmt Console from the RTB submenu located on the GoldMine TaskBar. Once selected, the console will open to a blank report page or show the last report generated.

Charge Summaries

From an accounting perspective, generating Charge Summaries is similar to posting data into your accounting system in that, once posted, data will be uneditable and permanently converted to read-only information.

For the most part, generating Charge Summaries is very similar to generating invoices. The primary distinction being that RTB does not directly interface with your accounting system, but rather produces reports of charges from which your accounting staff will create invoices.

Charge Summaries are detailed descriptions of the labor or expenses that have been recorded for a particular contact or project. These can be printed out and included with your client invoices. This is helpful in that it is no longer necessary to upload or copy and post (or re-type in some cases) verbose descriptions of charges into your accounting-generated invoice. While RTB does not currently interface directly, generating invoices from your accounting package is simplified because the amount of information necessary to include on your invoice is reduced. Most companies will simply record the number of hours and the appropriate labor rate on the invoice, then include a note referring them back to the included Charge Summary for details. And, because the charge summaries are recorded permanently in the GoldMine database, and are associated with a contact and bear a unique identification number (the Charge Summary ID number: CSID), it is very easy to go back later and find them as linked documents in GoldMine's History and Linked Docs tabs.

Billing is a five-step process. Here's a quick overview :

  1. If you use the Completed Activities input method, run 'Import Completed Activities'.

  2. Run the 'Ready to Bill' report.

  3. Review the items making any corrections, then marking those you want to invoice today. Optionally, print the 'Ready to Bill' Report.

  4. Select 'Post to DB' to begin the invoicing process. This produces the 'Invoiced Report' and creates the Charge Summary pages. Print the 'Invoiced Report'.

  5. Print the Charge Summaries. (Optional)

Let's examine each step in greater detail. Please take careful note of the warnings listed in some of the steps. Failure to follow these steps can result in loss of data.

  1. If Completed Activities has been activated, run 'Import Completed Activities' first. See Processing Completed Activities for details.

  2. From the Mgmt Console 'Processing' menu, select the 'Ready to Bill' option. This will generate the Ready to Bill Report, showing labor details, expense details, deliverable items, and all items not yet ready to bill.

  3. Carefully review the items in the Ready to Bill section of the report. Check the 'Inv' box if you are ready to invoice the item as reported. If you want to examine the actual details of the item listed, click on the underlined text in the 'Charge Desc' column. From there you may view the original data form and edit the values or delete the charge. If you choose this method of changing the underlying record, you must re-run the Ready to Bill report to refresh it.

    4. CAUTION: If you have ALSO checked off items in the Inv column, these will be LOST when the report is re-run. Review and change the items on the report first, then re-run the report to pickup those changes and THEN make your selections in the Inv column.

    You can also choose to invoice items listed under the Expenses section by checking the 'Inv" box next to each.

    NOTE: Now would be a good time to print out a copy of the Ready to Bill report. Once you proceed to the next step, the information you currently see on the Ready to Bill Report will not be available for your reference. RTB has created a sub-directory (Billing Reports) to organize your saved reports and will automatically save each Import Completed Activities Report, Ready to Bill and Invoiced Report there. You may open these saved reports later by using File - Open from inside RTB. When printing these reports, you should choose to print it in landscape format (in Print Setup) since these are very wide.

    Example Ready To Bill Report

  4. Once you've selected and verified all the items you want to be billed, select Post to DB from the Processing menu to commit the details to the database. You must be a member of the GoldMine user group Relatia_Accounting to access this menu item. Users who are members of the group Relatia_Managers are automatically given access to this menu.

    5. IMPORTANT - Posting details to the database cannot be undone.

    The posting process alters charge records and creates GoldMine History and Linked Document entries. When it finishes you will see a new report on the screen; the Invoiced Report which will show only the items you selected to invoice from the Ready to Bill Report, along with further details of each which will be needed by your accounting staff when they produce invoices.

    NOTE: This report is autmatically saved for you in the Billing Reports directory from which you can re-open it should the need arise. You should print this report now since it contains the details you will need to enter into your accounting system. This report can only be created by running a Ready to Bill Report thru the Post to DB process. If you leave the Mgmt Console now or load another report into the viewer, the Invoiced Report will be lost. (open it from the File - Open menu)
    Since this report is even wider than the Ready to Bill Report, you will need to print it in landscape format with the narrowest left and right margins. Depending on your operating system settings, your printed page may cut off a portion of the right side of the report. Using legal paper in your printer, or changing your screen resolution and/or screen font size (from large fonts to small fonts) will help prevent this.

    There are also some custom registry entries which can be used to fine-tune this printout to your paper size. Contact Relatia Tech Support     support@relatia.net for details.

    Example Invoiced Report

  5. Once the details have been posted, select Print Charge Summaries from the Processing menu. This will batch-print all the charge summaries to be included in your invoices. Unlike the Invoiced Report, you may leave the Billing Report subsystem with out printing the Charge Summaries. The information for the summaries will remain available for printing until the NEXT time you Post to DB. You do not have to print the Charge Summaries; you may choose not to use them. However, each of these Charge Summaries has been saved in GoldMine as a Linked Document attached to the customer for your future reference.

Example Charge Summary

When these steps are followed, a number of changes occur to the records that have been selected for billing. The most significant is that the underlying charge records will be altered in the database and will no longer be accessible. Instead, these details will be visible as GoldMine History records, one history record per line item, attached to the charged customer. You may examine the details of these in GoldMine through the History tab. You may also write queries to extract this information for your own reporting needs by searching for unique data in a couple of fields. (For the technically inclined the details can be found in Appendix 1 of this document.) RTB also attaches the Charge Summaries as Linked Documents to the charged customer. This can reduce the need for filing paper copies and make it easy to find these later should questions arise. In order for these linked documents to synchronize to all GoldMine users and be accessible to them, it is necessary to properly configure the synchronization properties for each user (see Post-Installation Checklist for details). See your GoldMine Value-Added Reseller for help here, too.

Processing completed activities from GoldMine

The prior discussion of creating Charge Summaries is altered slightly when the System Settings option 'Allow completed activities to be used as an input source' is selected. Users enter labor and deliverables details as GoldMine completed activities. These records are not part of RTB's records and therefore must be imported, during which each activity will be translated to a Labor or Deliverable record.

Only a user who is a member of the Relatia_Accounting user group is allowed to import completed activities. Since there is the potential for creating duplicate charge records when more than one user is allowed to perform this task, assign this responsibility to only one user.

The menu entry "Import Completed Activities" is located on the Mgmt Console under Processing. There are no options for this process. All completed GoldMine activities that meet the requirements are converted into Labor and Deliverables records in RTB. When the import process is complete, run the Ready to Bill Report to see these new records. Each should be examined for validity and completeness prior to posting. In the case of deliverables, the cost field will be zero in each record because GoldMine does not have a field for this information. To ensure the accuracy of the metrics (if desired), the accounting user should edit these charge records to supply the correct value.

Export to Accounting Package

RTB can provide an export file containing the details of each invoiced item. This file can be used as the basis for importing into an accounting system. Only users who are members of the Relatia_Accounting user group will be allowed to access this facility. RTB is delivered with a built-in export filter (called Generic Flat-File) which creates a CSV (Comma Separated Values) file. This file would need to be converted into an appropriate format before it could be imported into a target accounting system. (Export filters for specific accounting packages will be available for an additional charge. See the RTB website www.relatia.net for further details.)

Using the Generic Flat-File Export Filter

A CSV file (InvoiceItems.csv) is the standard output format for this filter. Choose a path for this file, if needed. Documentation for each of this file's columns can be found in Appendix 2. This file is easily read by many applications including MS Excel. The first record (row) is the "header" record, containing the names of all columns.

A final option allows the selection of a file (exe or bat) which will be executed after the CSV file is complete. This allows a third-party application to carry on further processing as needed to complete the importation of invoiced items.

Reports

A facility for launching custom reports is available from the Mgmt Console's Processing menu. Only users who are members of the Relatia_Managers user group, or who have been given explicit permission, are allowed to access this feature. Permission can be granted on a report by report basis.

Five reports are pre-installed and ready to launch.

  • Rpt_Hours billed by period.rpt provides a report of the hours of labor billed by each user over a specified time period. When you select the report from the drop-down it displays this description:
    This query returns the labor either invoiced or performed (both warranty and chargeable) during a specified period and builds an Excel spreadsheet of the results using a template file (Hours billed by period.xlt). It can optionally include those charges which have not yet been Invoiced and are in Ready-to-Bill or Not-Ready state. It can optionally include the charge notes. Totals by UserID, Hours Billed and Total Charged. Note: since charges in the Ready/Not Ready to Bill state have not been invoiced, sorting by Date Invoiced will not show Ready/Not Ready to Bill items.

  • Rpt_Hrs billed by Project.rpt produces a listing of all labor records billed to date for the selected project. A date range is not specified for this report, consequently the results will show all labor attached to the selected Project. When you select the report from the drop-down it displays this description:
    This query returns the labor either invoiced or performed (both warranty and chargeable) for a specified project and builds an Excel spreadsheet of the results using a template file (Hrs billed by Project.xlt). It can optionally include those charges which have not yet been Invoiced and are in Ready-to-Bill and/or Not-Ready-to-Bill states. It can optionally include the charge notes. Totals by UserID, Hours Billed and Total Charged. Note: since charges in the Ready- (or Not-Ready) to-Bill state have not been invoiced, sorting by Date Invoiced is not as useful when including these items.

  • Rpt_Hrs billed to client by period.rpt produces a listing of the hours billed to a particular client over a specified period of time. As in the first report above, you may choose whether the results relect labor performed or invoiced during the specified period. When you select the report from the drop-down it displays this description:
    This query returns the labor either invoiced or performed (both warranty and chargeable) during a specified period for a specified company and builds an Excel spreadsheet of the results using a template file (hrs billed to client by period.xlt). It can optionally include those charges which have not yet been Invoiced and are in Ready-to-Bill and/or the Not-Ready-to-Bill state. It can optionally include the charge notes. Totals by UserID, Hours Billed and Total Charged. Note: since charges in the Ready to Bill or Not Ready to Bill state have not been invoiced, sorting by Date Invoiced is not as useful when including Ready to Bill or Not Ready to Bill items.

  • Rpt_Open Projects Status.rpt shows the current charges for each open Project, including Block Hr projects, summing the hours billed for each. Access permissions will be needed for non-managers to execute this report.

  • Rpt_Timesheet.rpt A simple timesheet for the logged-in user. Access permissions will be needed for non-managers to execute this report.

Output from each report appears in MS Excel allowing the end-user to further process the data as needed. Excel template files, named similarly and located in the RTB installation directory, are used to control the appearance of each report.

Custom reports that meet your specifications and budget can quickly be created by Relatia Software Corp. For more information on custom reports, contact Relatia Software at support@relatia.net. Custom reports are easily delivered and deployed by saving the file in RTB's installation directory. No special setup or installation program is needed.

RTB is delivered with five reports pre-installed. Updates to these as well as new additional reports will be posted on our website in the updates section as they become available. (see www.relatia.net/versions.htm for postings.) These are available to all licensed owners free of charge.

Relatia Software uses a number of technologies to develop custom reports, including VBScript. While it may appear that a technical user with programming skills could develop a report for RTB, it requires detailed knowledge of the structure of both GoldMine's tables and records as well as our own proprietary records. Consequently, it is not practical for end-users to write reports that access native RTB records. Appendix 1 documents RTB's use of fields in GoldMine's History table and gives example SQL queries that extract data from them.

Information in the History table is only available after RTB invoices (Post to DB) charges. Custom reports are not limited to historical data, and can read RTB charges in any state (i.e. Ready to Bill, Not Ready, etc.). This allows information such as work in progress or outstanding billing to be easily extracted.

License Management

RTB uses two kinds of licenses, referred to as Master Licenses and User Licenses. Master Licenses are represented by the License Code and Key you were emailed at the time of purchase. They provide a pool of licenses from which User Licenses are created when needed and are assigned to each user. This assignment of User Licenses from the pool is automatic, and under most circumstances you won't need to become involved with it. You can easily view this information by choosing 'Help' from the Mgmt Console menu, then 'About'. The About box shows the RTB version number and the company to whom the software is licensed. In the lower right-hand corner is a button labeled 'License Info...' which will take you to the License Management dialog.

License Management Dialog

Here you will find listed all of your Master Licenses, the users who have been assigned a User License, a count of licenses available for use and the licenses currently in use (assigned to users). If you have Master user rights in GoldMine you may add more Master Licenses to increase the size of the 'pool' and add or remove user licenses. Users are normally added automatically, taking one license from the pool the first time they run RTB following installation. This happens with no notification to the user unless there are no more licenses available. Then this dialog will open allowing them (if they have Master rights) to remove a user from the list, freeing a license for themselves. If they cannot free a license, they will NOT be allowed to start RTB. This license problem can be corrected from any workstation, since the licenses are held in the database and will synchronize to all users. Another user with Master rights can either delete a user from the User License list or purchase and add more licenses to the Master License pool. Once these changes have been synced to the user, they will be able to run RTB.

Business Metrics

In addition to collecting time and billing information, RTB can provide some vital statistics for fine-tuning your business's profitability and efficiency. These are compiled from the details of the Labor, Deliverables and Expense records and are displayed in both summary and detailed tables and graphs in a Microsoft Excel spreadsheet. Among the common metrics provided are:

  • Total Income, Cost of Goods Sold, Cost of Labor, Expenses and Hours Billed
  • Average Hourly Rate and Cost of Labor
  • Net Profit due to Labor and due to Deliverables

In addition, there are detailed breakdowns of profitability by Charge Code, Resource and by Project. The Project breakdown shows profitability figures for both open (on-going) and closed projects.

Please bear in mind that the Business Metrics console has access to only a portion of the factors which comprise the full picture of your business's health and profitability. These Metrics should be considered as one of several tools necessary for making informed business decisions.

To access the Metrics Console, choose it from the Processing menu on the Mgmt Console. In order to access this sensitive information, the user must be a member of the GoldMine user group "Relatia_Managers". (See the Post-Installation Checklist for details.)

A report is produced covering a time period, which is selected upon starting the Metrics Console. Items which are "Not Ready to Bill" may optionally be included in the report. When the report generation phase is complete, Microsoft Excel will contain a new spreadsheet which may be saved or printed as desired. The following screenshots are segments of the 2-page spreadsheet produced. Here's an overall view of the top half of the first page:

Metrics Console Report

The first section titled "General Metrics (per period)" apply to the Begin and End date range selected when the report was started. By definition, this is the "period" referred to in the title. Here's a sample:

and it's associated pie chart showing the contribution of labor and deliverables to overall income:

next is a breakdown by Charge Code:

and it's associated pie chart showing the contribution of each Charge Code to income:

Next, each Charge Code's contribution to gross profits are charted:

and it's associated pie chart showing each Charge Code's contribution to overall profits:

The final section of page one breaks down profitability and performance for each resource who contributed time and billing records for the period.

It has two charts associated with it. First is a comparison of actual hours billed to the monthly goal normalized to the period of interest:

and finally each resource's contribution to overall labor income is charted:

The second page of the spreadsheet, provides a detailed breakdown of each project for which records appear this period. Only those time and billing records which are associated with projects are analyzed here. Consequently, the numbers are not expected to agree with the totals listed on sheet one when time and billing records are also present outside of projects. Open (on-going) and closed projects are each given their own sections. The first table shows the open projects for the period. These projects may have a mix of Not Ready, Ready to Bill and Invoiced records:

The last section is a potentially lengthy listing of each closed project for the period of interest. If a time and billing record was submitted for billing (i.e. marked "Ready to Bill") during the period and it's associated project is marked closed, then that project will appear here.

Usage Examples

(see the next update for these)

Appendix 1

History Fields and their usage in Relatia Time and Billing:

ContHist field name | Relatia Time and Billing Value | Relatia Time and Billing use
SRecType | O or S | This field is marked with the letter O (for Other activity) if the record is for a Labor item, or S (for Sale activity) if it's for a Deliverable or Expense item.
ActvCode | WAR, LAB, DEL or EXP | Indicates that this record is for a Labor item (LAB), a Warranty Labor item (WAR), a Deliverable item (DEL) or an Expense item (EXP).
ResultCode | INV | This record was successfully invoiced in Relatia Time and Billing
OnDate | date | The beginning date this activity was performed or incurred.
OnTime | time | The time this Labor activity was begun, blank for Deliverable and Expense items.
Duration | hh:mm:ss | In the case of Labor, this is the unfiltered (by System Settings) duration of the total billable hours for this item.
Duration | ######## | In the case of Deliverable or Expense items, this is the total dollar amount of the sale.
Units | quantity | In the case of Deliverable or Expense items, this is the quantity sold or charged.
UserID | userid | The GoldMine UserID code for the person who performed the labor or charged the customer.
Ref | Billing Detail - CSYYMMDDxxxxx | This code shows the base Charge Summary number and identifies it as a Relatia Time and Billing Detail record.
CreateOn | Date Invoiced | This is the date on which this item was Invoiced by Relatia Time and Billing.
CreateAt | Time Invoiced | This is the time on which this item was Invoiced by Relatia Time and Billing.
CreateBy | CurrentUser | The UserID of the person who initiated the Invoicing process.
LOpRecID | OpID of a Project in Opportunity Manager | If this item was linked to a project in the Opportunity Manager, then this field has a valid OpID.
Notes |  | This field consists of lines of data from the original record. They follow this pattern: Invoiced on: [Date] CSID: [Charge Summary number] Project: [project name if applicable] Charge Type: [ChargeCode# | Deliverable | Expense ] Charged by: [users full name from GoldMine] Charge Date: [Date] Charge Desc: [name of the charge] Qty: [quantity as #.##] Cost@: [where entered, $#.##] Sale Price@: [sale price, $#.##] Total: [total sale price, $#.##] Notes: [full text of the notes field] Note however, that Notes fields cannot be queried for their contents.

With this information you can extract some useful reports using GoldMine's SQL query tool. For instance:

select h.ondate, h.userid, h.actvcode, h.duration, h.ref, c.company, c.contact
from conthist H
inner join contact1 C on (c.accountno=h.accountno)
where h.actvcode='LAB'
and h.resultcode='INV'
and (h.ondate between '10/1/2000' and '10/15/2000')
order by h.userid, h.ondate

will give you a breakdown of the raw Labor hours actually recorded by each userid for the period 10/1/2000 through 10/15/2000. This is a "hours billed by employee" report. Note that by the use of the date range comparison against "h.ondate" records are chosen which were created within that range. If you were to change that to "h.createon" you would then choose records which were billed (i.e. invoiced) within the range. This would be an important distinction if there was a significant time lag between performing a service and invoicing the client for it.

You can perform this query regardless of whether you're running a SQL database or not.

Another example:

Suppose you'd like to know how many hours you've billed a client for a specific project to date:

select h.createon, h.userid, h.actvcode, h.duration, h.ref, c.company, c.contact
from conthist h
inner join contact1 C on (c.accountno=h.accountno)
inner join 'c:\program files\goldmine\gmbase\opmgr' p on (h.loprecid=p.opid)
where h.actvcode='LAB'
and h.resultcode='INV'
and p.name='project name here'
order by h.userid, h.createon

will produce a listing of all labor records billed to date for the specified project. (Note that you will have to specify the full path to your opmgr.dbf table in the query above if you are running the dBase version of GM. If you are running the SQL version, then opmgr may appear just as contact1 and conthist are shown above.)

You could easily modify it to produce a listing of hours billed to a particular client over a specified period of time:

select h.createon, h.userid, h.actvcode, h.duration, h.ref, c.company, c.contact
from conthist h
inner join contact1 C on (c.accountno=h.accountno)
where h.actvcode='LAB'
and h.resultcode='INV'
and c.company='company name here'
and (h.createon between '10/1/2000' and '10/15/2000')
order by h.userid, h.createon

Appendix 2

Field definitions for the Export to Accounting Package CSV file:

All fields are double-quoted and separated by a comma. Rows end in a carriage return/line feed pair. The first row is the header.

NOTE: THIS SECTION UNDER CONSTRUCTION

Column name | Data Type | Relatia Time and Billing use
AccountNo | char(20) | AccountNo of the associated contact
Company | char(40) | Company of the associated contact
Contact | char(40) | Primary Contact name
ProjectID | char(15) | OpID of associated Project (if available)
ProjName | char(50) | Project description of associated Project (if available)
UserID | char(8) | UserID of the person this charge was credited to
UserName | char(26) | Full Name of the UserID above
ChargeType | char(1) | 'L', 'D' or 'E' for Labor, Deliverable or Expense
CSID | char(13) | Charge Summary ID number
ChargeDate | char(10) | Date of service/delivery in local short-date format
RTB_Constr | char(50) | text from the labor constraints field
Charge_Des | char(50) | description entered for this charge
CC_Desc | char(50) | name of the associated Charge Code
Qty | char(12) | number of units
Cost | char(12) | numeric only, no currency symbol
Sale_Price | char(12) | quoted price to contact, numeric only
Total_Sale | char(12) | numeric only
Notes | memo | contents of the notes field
RecID | char(15) | a unique ID for this row
Address1 | char(40) | from Contact1
Address2 | char(40) | from Contact1
Address3 | char(40) | from Contact1
City | char(30) | from Contact1
State | char(20) | from Contact1
Zip | char(10) | from Contact1
Country | char(20) | from Contact1
Accounting | char(50) | a unique identifier that associates this contact with a contact in the target accounting system database. this field is only meaningful if an accounting package filter is installed; empty for Generic Flat-File.
Key1 | char(20) | from Contact1
Key2 | char(20) | from Contact1
Key3 | char(20) | from Contact1
Key4 | char(20) | from Contact1
Key5 | char(20) | from Contact1